Add equipment
const url = 'https://example.com/service-items';const options = { method: 'POST', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"typeId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","deliveryAddressId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","productId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","serial":"example","installedOn":"2026-03-01","details":{"additionalProperty":"example"},"notes":"example","plans":[{"planId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","startOn":"2026-03-01","nextDueOn":"2026-03-01"}],"customerId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","assetId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/service-items \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "typeId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "deliveryAddressId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "productId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "serial": "example", "installedOn": "2026-03-01", "details": { "additionalProperty": "example" }, "notes": "example", "plans": [ { "planId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "startOn": "2026-03-01", "nextDueOn": "2026-03-01" } ], "customerId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "assetId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }'Give customerId for the customer’s own equipment, or assetId for a tracked cylinder or equipment from the register (needs Assets). Each plan’s first due date counts from the date the plan names, unless startOn or nextDueOn is given.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
UUID v7
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fExample
2026-03-01object
object
UUID v7
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fExample
2026-03-01Example
2026-03-01UUID v7
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fResponses
Section titled “Responses”Added
object
UUID v7
object
UUID v7
UUID v7
object
UUID v7
object
UUID v7
object
UUID v7
object
object
UUID v7
UUID v7
Day: due on the date. month: due within the month; the date held is the 1st of the month.
object
object
Not_in: the customer was not in. item_missing: the item was not there. failed: it failed the service. other: said in the note.
UUID v7
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "type": { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }, "kind": "customer", "customerId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "deliveryAddress": { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }, "asset": { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }, "product": { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }, "installedOn": "2026-03-01", "schedules": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "planId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "dueRule": "day", "nextDueOn": "2026-03-01", "lastDoneOn": "2026-03-01", "changes": [ { "from": "2026-03-01", "to": "2026-03-01" } ], "notDone": { "on": "2026-03-01", "reason": "not_in", "orderId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } } ]}Not signed in
object
Example
{ "error": "not_found", "message": "Customer not found"}Not an owner or admin, missing scope, or the plan does not open Equipment servicing
object
Example
{ "error": "not_found", "message": "Customer not found"}Not found, or Equipment servicing is not available to this business
object
Example
{ "error": "not_found", "message": "Customer not found"}Equipment servicing is switched off, other equipment already has that detail, or the cylinder already has servicing set up
object
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
object
object
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}